<?php

namespace Drupal\opencase\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a Block with some help text about actor type fields
 *
 * @Block(
 *   id = "add_activity",
 *   admin_label = @Translation("Add Activity"),
 *   category = @Translation("Opencase"),
 * )
 */
class AddActivity extends BlockBase {

    /**
     * {@inheritdoc}
     */
    public function build():array {
        $target_id = \Drupal::routeMatch()->getParameter('oc_actor')->id();
        $activity_types = \Drupal::service('entity_type.bundle.info')->getBundleInfo('oc_activity');
        $markup = "<ul>";
        foreach($activity_types as $id => $info) {
            $label = $info['label'];
            $markup .= "<li><a href='/opencase/oc_activity/add/$id?target_id=$target_id&destination=/opencase/oc_actor/$target_id'>$label</a></li>";
        }
        $markup .= "</ul>";
        return array('#markup' => $markup);
    }

    public function getCacheMaxAge():int {
        return 0;
    }

}
